package com.ycwl.basic.image.watermark.enums;

public enum ImageWatermarkOperatorEnum {
    LEICA("leica"),
    NORMAL("normal");

    private final String type;

    ImageWatermarkOperatorEnum(String type) {
        this.type = type;
    }

    public static ImageWatermarkOperatorEnum getByCode(String type) {
        for (ImageWatermarkOperatorEnum imageWatermarkOperatorEnum : ImageWatermarkOperatorEnum.values()) {
            if (imageWatermarkOperatorEnum.type.equals(type)) {
                return imageWatermarkOperatorEnum;
            }
        }
        return null;
    }
}
